Bug 41852 - UI: Theme Selection contains choices that are not implemented
Summary: UI: Theme Selection contains choices that are not implemented
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Document-Themes
  Show dependency treegraph
 
Reported: 2011-10-16 18:10 UTC by Allan Jacobs
Modified: 2018-10-10 12:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Simple spreadsheet with Pumpkin theme chosen. (86.53 KB, image/png)
2011-10-16 18:10 UTC, Allan Jacobs
Details
Test case for themes testing (7.97 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-07-27 13:56 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Allan Jacobs 2011-10-16 18:10:56 UTC
Created attachment 52402 [details]
Simple spreadsheet with Pumpkin theme chosen.

Start a new spreadsheet
View->Toolbars->Tools
Click on the Choose Themes icon.

Try Autumn Leaves.  The background will change to yellow.
Try Pastel.  This looks identical to Autumn Leaves.

Try (Standard).  The following look identical to (Standard):
Black and White, Blackberry Bush, Fifties Diner, Green Grapes, Millennium, Nature, Night, and Pumpkin.
Comment 1 sasha.libreoffice 2012-04-13 03:18:44 UTC
Thanks for bugreport
Sorry for can not find "Choose Themes" icon. May be it installed from Extension?
Comment 2 Joel Madero 2012-07-18 16:57:08 UTC
Marking this as NEEDINFO. I also don't show a Choose Theme icon. If this is an extension it's a bug that needs to be addressed with the extension creator, if it's something else, please let us know and we'll look into it. How did you get this Choose Theme icon?
Comment 3 Rainer Bielefeld Retired 2012-07-21 11:33:34 UTC
Still all details of original report [Reproducible] with Server Installation of  "LibreOffice 3.6.0.2 rc  English UI/ German Locale [Build-ID:  815c576] on German WIN7 Home Premium (64bit) 

More or less the same with OOo 3.1.1, so I think this one is inherited from OOo


@Joel, @sasha:
Please see Help "Selecting Themes for Sheets"
Comment 4 sasha.libreoffice 2012-07-27 13:52:34 UTC
Thanks for explanations where to find. Sorry for not found from first attempt.
I have applied different styles for different cells and tested all themes. All them are different. Style "Default" is white for most themes. Bus it is natural. But all other styles are different for different themes.
used 3.5.5.3 on Fedora  64 bit
Comment 5 sasha.libreoffice 2012-07-27 13:56:03 UTC
Created attachment 64779 [details]
Test case for themes testing
Comment 6 retired 2014-12-11 11:42:10 UTC
Persisting osx 10.10.1, LO Version: 4.5.0.0.alpha0+
Build ID: 6e91763769a562b88882a4c2a94b1367c6ed4866
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2014-12-11_02:24:05
Locale: de_

Can those "empty or redundand" themes just be removed?
Comment 7 QA Administrators 2015-12-20 16:15:00 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-01-03 19:49:03 UTC Comment hidden (obsolete)
Comment 9 Thomas Lendo 2018-10-10 12:51:14 UTC
I tried all spreadsheet themes and all are looking a little bit different. I have nothing found that doesn't exist or that looks identical to another or the default theme.

Therefore I set this bug to RESOLVED WORKSFORME.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 425af6845ebe066c950b0b63f50563e067485f3e
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-09_23:30:22
Locale: de-AT (de_AT); Calc: CL